Bug 652758 - Review Request: gnome-themes-standard - Standard themes for GNOME applications
Review Request: gnome-themes-standard - Standard themes for GNOME applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 12:26 EST by Cosimo Cecchi
Modified: 2011-01-25 12:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 12:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Cosimo Cecchi 2010-11-12 12:26:56 EST
Spec URL: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard.spec
SRPM URL: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard-2.91.2.1-1.fc15.src.rpm
Description: The gnome-themes-standard contains the standard theme for the GNOME desktop, which provides default appearance for cursors, desktop background, window borders and GTK+ applications.

Compiled fine on Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2597599

$ rpmlint SRPMS/gnome-themes-standard-2.91.2.1-1.fc15.src.rpm 
gnome-themes-standard.src:46: W: macro-in-comment %{_datadir}
gnome-themes-standard.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ~/Download/gnome-themes-standard-2.91.2.1-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Cosimo Cecchi 2010-11-12 12:28:26 EST
By the way, this is my first package, so apologies if I screwed up something. Also, I need a sponsor.
Comment 2 Cosimo Cecchi 2010-11-12 12:43:54 EST
<hadess> cosimoc: remove the clean section
<hadess> cosimoc: usually spaces between the requires

<mclasen> rm -rf $RPM_BUILD_ROOT in %install is not needed anymore either
<mclasen> and the description is missing a 'package', I think

Updated spec: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard.spec
Updated SRPM: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard-2.91.2.1-2.fc15.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2597661
Comment 3 Matthias Clasen 2010-11-12 12:59:21 EST
builds fine in mock.
rpmlint output:

rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-themes-standard-2.91.2.1-2.fc15.*.rpm
gnome-themes-standard.noarch: E: description-line-too-long C desktop, which provides default appearance for cursors, desktop background, window
gnome-themes-standard.src: E: description-line-too-long C desktop, which provides default appearance for cursors, desktop background, window
gnome-themes-standard.src:44: W: macro-in-%changelog %clean
gnome-themes-standard.src: W: no-cleaning-of-buildroot %install
gnome-themes-standard.src: W: no-cleaning-of-buildroot %clean
gnome-themes-standard.src: W: no-buildroot-tag
gnome-themes-standard.src: W: no-%clean-section
2 packages and 0 specfiles checked; 2 errors, 5 warnings.

Should break the long line in the description, and escape the macro as %%clean in changelog. The rest is just rpmlint being behind.
Comment 4 Cosimo Cecchi 2010-11-12 13:07:25 EST
Ok, thanks.

Yet another update:
spec: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard.spec
SRPM: http://people.gnome.org/~cosimoc/gnome-themes-standard-pkg/gnome-themes-standard-2.91.2.1-3.fc15.src.rpm

What changed - I addressed a comment I got from Yanko and the last Matthias' comment here.

* Fri Nov 12 2010 Cosimo Cecchi <ccecchi@redhat.com> 2.91.2.1-3
- Make sure the theme directory is owned by the package too.
- Cleaned up the spec file a bit more to silence some rpmlint
  warnings.
Comment 5 Matthias Clasen 2010-11-12 13:17:03 EST
Formal review (following https://fedoraproject.org/wiki/Packaging:ReviewGuidelines)

package name: ok
spec file name: ok
packaging guidelines ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legibility: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc contenet: ok
headers: ok
static libs: ok
shared libs: ok
-devel deps: ok
libtool archives: ok
gui apps: ok
duplicate ownership: ok
utf8 filenames: ok

Looks good, just a minor cosmetic thing: it is customary to leave an empty line between changelog entries. Approved.
Comment 6 Cosimo Cecchi 2010-11-13 04:40:31 EST
New Package SCM Request
=======================
Package Name: gnome-themes-standard
Short Description: Standard themes for GNOME applications
Owners: cosimoc
Branches: f15
InitialCC: cosimoc
Comment 7 Jason Tibbitts 2010-11-13 11:54:27 EST
It is too early to request f15 branches.

Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.